Subject: bug#32676: [PATCH] Add option to highlight the 'next-error' error message

From: Stefan Kangas <[email-masked]>
Date: Sat, 29 Feb 2020 16:40:01 +0100

Hi Ernesto,

To accept your contribution to Emacs, we need to you to assign
copyright to the FSF.  You can read more about the reasons why here:
https://www.gnu.org/licenses/why-assign.html

Before we can make any progress with this patch, I think we need to
clarify that point.  Would you be willing to sign such paperwork?

Thanks in advance.

Best regards,
Stefan Kangas

Eli Zaretskii <[email-masked]> writes:

>> From: Juri Linkov <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  Robert Pluim <[email-masked]>,  [email-masked]
>> Date: Mon, 08 Apr 2019 22:36:38 +0300
>> 
>> > I'd like to know if this patch is still being considered?
>> 
>> Why not?  Your patch provides a helpful feature.  I see only 2 problems
>> with its latest version:
>> 
>> 1. compilation-current-error should be generalized not to be too
>>    compilation-specific;
>> 
>> 2. next-error-hook should not be used for core features,
>>    you could call next-error-message-highlight directly
>>    from next-error-found.
>
> 3. A contribution this size needs legal paperwork for us to be able to
> accept it.  Ernesto, would you like to start the paperwork now?
>
> Thanks.